#
# spec file for package libapr-util1 (Version 1.3.10)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libapr-util1
%define with_sqlite2 0
%define with_sqlite3 0
%define with_mysql 0
%define with_dbmdb 1
%if 0%{?suse_version} > 910
# see previous versions of this package for a workaround how to build the mysql driver on SLES9.
%define with_mysql 1
%endif
%define with_pgsql 0
%if 0%{?suse_version} >= 910
  %define with_sqlite2 1
  %define with_pgsql 1
%endif
%if 0%{?suse_version} >= 930
  %define with_sqlite2 0
  %define with_sqlite3 1
%endif
#
%define dso_libdir %{_libdir}/apr-util-1
#
BuildRequires:  db-devel libapr1-devel
#
#
# database backends
#
%if %{with_mysql}
BuildRequires:  mysql-devel
%endif
#
%if %{with_sqlite2}
BuildRequires:  sqlite-devel
%endif
%if %{with_sqlite3}
BuildRequires:  sqlite-devel
%endif
#
%if %{with_pgsql}
BuildRequires:  postgresql91-devel
%endif
#
#
# distro specific buildrequires
#
%if %{?suse_version:1}0
BuildRequires:  doxygen openldap2-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libexpat-devel
%else
BuildRequires:  expat
%endif
%if %{?fedora_version:1}0
BuildRequires:  expat-devel openldap2-devel
%endif
%if %{?mandriva_version:1}0
BuildRequires:  expat-devel libldap2.3_0-devel
%endif
#
Url:            http://apr.apache.org/
License:        Other uncritical OpenSource License; The Apache Software License
Group:          Development/Libraries/Other
AutoReqProv:    on
Version:        1.3.10
Release:        5.2
Summary:        Apache Portable Runtime (APR) Library
Source:         http://www.apache.org/dist/apr/apr-util-%{version}.tar.bz2
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      libapr_memcache0
# bug437293
%ifarch ppc64
Obsoletes:      libapr-util1-64bit
%endif
%ifarch  %ix86 ppc
Obsoletes:      libapr-util1-32bit
%endif
#
%define apuver 1
%define includedir %{_includedir}/apr-%{apuver}

%description
A companion library to APR, the Apache Portable Runtime.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package devel
License:        Other uncritical OpenSource License; The Apache Software License
Summary:        Apache Portable Runtime (APR) Library
Group:          Development/Libraries/Other
Requires:       libapr-util1 = %{version}
Requires:       libapr1-devel
# apu-config returns -lldap -lber -ldb_<dbversion>
# until this is fixed the devel package should require those
Requires:       openldap2-devel db-devel
%if 0%{?suse_version} > 1020
Requires:       libexpat-devel
%endif
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      libapr-util1-devel-64bit
%endif
%ifarch  %ix86 ppc
Obsoletes:      libapr-util1-devel-32bit
%endif
#

%description devel
A companion library to APR, the Apache Portable Runtime.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package dbd-mysql
Summary:        DBD driver for MySQL
License:        LGPL v2.1 or later
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description dbd-mysql
DBD driver for MySQL.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package dbd-pgsql
License:        Other uncritical OpenSource License; The Apache Software License
Summary:        DBD driver for PostgreSQL
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description dbd-pgsql
DBD driver for PostgreSQL.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package dbd-sqlite2
License:        Other uncritical OpenSource License; The Apache Software License
Summary:        DBD driver for SQLite 2
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description dbd-sqlite2
DBD driver for SQLite 2.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package dbd-sqlite3
License:        Other uncritical OpenSource License; The Apache Software License
Summary:        DBD driver for SQLite 3
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description dbd-sqlite3
DBD driver for SQLite 3.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package dbd-dbm
License:        Other uncritical OpenSource License; The Apache Software License
Summary:        DBD driver for xDBx
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description dbd-dbm
DBD driver for various xDBx



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%prep
%setup -q -n apr-util-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
rm -rf aclocal.m4 autom4te*.cache
autoheader --force
autoconf --force
%{__sed} -i -e '/OBJECTS_all/s, dbd/apr_dbd_[^ ]*\.lo,,g' build-outputs.mk
export CPPFLAGS='-I /usr/include/pgsql'
 
# all DBD driveres are built by default, nowadays -- except mysql.
%configure \
	--includedir=%{includedir} \
	--with-apr=/usr/bin/apr-1-config \
	--with-expat=/usr \
	--with-ldap \
	--with-berkeley-db \
%if %{with_mysql}
	--with-mysql \
%endif
	--without-gdbm \
    --disable-static \
    --with-pic
#
make %{?jobs:-j%jobs} CPPFLAGS='-I /usr/include/pgsql'
#
%if %{?suse_version:1}0
make dox
%endif
 
%install
make install DESTDIR=$RPM_BUILD_ROOT
%if %{?suse_version:1}0
mv docs/dox/html html
%endif
 
# multiacrh anti-borker
perl -pi -e "s|^LDFLAGS=.*|LDFLAGS=\"\"|g" %{buildroot}%{_bindir}/apu-%{apuver}-config 

# includes anti-borker
perl -pi -e "s|-I%{_includedir}/mysql||g" %{buildroot}%{_bindir}/apu-%{apuver}-config
 
# unpackaged files
rm -f $RPM_BUILD_ROOT/%{_libdir}/aprutil.exp
# don't package these static libraries for now
rm -f $RPM_BUILD_ROOT/%{dso_libdir}/apr_dbd_*.a
rm -f $RPM_BUILD_ROOT/%{dso_libdir}/apr_ldap_*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libaprutil-%{apuver}.a

%check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES
%doc LICENSE
%doc NOTICE
%{_libdir}/libaprutil-%{apuver}.so.*
%dir %{dso_libdir}
%attr(755,root,root) %{dso_libdir}/apr_ldap*
 
%if %{with_mysql}
%files dbd-mysql
%defattr(-,root,root,-)
%attr(755,root,root) %{dso_libdir}/apr_dbd_mysql*
%endif

%if %{with_pgsql}
%files dbd-pgsql
%defattr(-,root,root,-)
%attr(755,root,root) %{dso_libdir}/apr_dbd_pgsql*
%endif

%if %{with_sqlite2}
%files dbd-sqlite2
%defattr(-,root,root,-)
%attr(755,root,root) %{dso_libdir}/apr_dbd_sqlite2*
%endif
 
%if %{with_sqlite3}
%files dbd-sqlite3
%defattr(-,root,root,-)
%attr(755,root,root) %{dso_libdir}/apr_dbd_sqlite3*
%endif

%if %{with_dbmdb}
%files dbd-dbm
%defattr(-,root,root,-)
%attr(755,root,root) %{dso_libdir}/apr_dbm_db*
%endif

%files devel
%defattr(-,root,root)
%if %{?suse_version:1}0
%doc --parents html
%endif
%dir %{includedir}
%{includedir}/*.h
%{_libdir}/libaprutil-%{apuver}.so
%{_bindir}/apu-%{apuver}-config
%{_libdir}/pkgconfig/apr-util-%{apuver}.pc
%exclude %{_libdir}/*.la

%changelog
* Sun Apr 10 2011 cs@linux-administrator.com
- update to release 1.3.10
* Thu Oct 30 2008 skh@suse.de
- obsolete old -XXbit packages (bnc#437293) (olh@suse.de)
* Tue Aug 19 2008 poeml@suse.de
- update to 1.3.4 final
  (updating to the release tarball, which has all the patches.)
* Fri Aug 15 2008 poeml@suse.de
- remove the incremental patches
    apr-util-1.3.2-r672712-pg-counting.patch
    apr-util-1.3.2-r673300-pgconfig.patch
    apr-util-1.3.2-r676473-reslist-doc.patch
    apr-util-1.3.2-r676801-mutex-destroy.patch
    apr-util-1.3.2-r679235-mysql-reconnect.patch
    apr-util-1.3.2-r679638-memcache-rusage.patch
    apr-util-1.3.2-r680529-reslist-limits.patch
  since they are included in apr-util-1.3.3.patch
* Fri Aug 15 2008 poeml@suse.de
- add apr-1.3.2-r685262.patch to memcache client
  * Fix a memory leak introduced in r683756 and a free call to a
    non malloced pointer in the case that the platform has no threads.
* Fri Aug  8 2008 poeml@suse.de
- the libapr_memcache0 package can be considered obsolete now,
  since apr 1.3.x has apr_memcache integrated; I removed it and
  added an Obsoletes tag here.
* Thu Aug  7 2008 poeml@suse.de
- add pre-1.3.3 patch with all other backports, in preparation to
  1.3.3 release. Plus latest version of 1.3.x non-pre_cleanup patch
  (apu-memcache_leak.patch)
* Thu Aug  7 2008 poeml@suse.de
- add post-1.3.2 patches (backports from trunk committed to the
  1.3.x branch)
    apr-util-1.3.2-r672712-pg-counting.patch
    apr-util-1.3.2-r673299-pgconfig.patch
    apr-util-1.3.2-r676473-reslist-doc.patch
    apr-util-1.3.2-r676801-mutex-destroy.patch
    apr-util-1.3.2-r679235-mysql-reconnect.patch
    apr-util-1.3.2-r679638-memcache-rusage.patch
    apr-util-1.3.2-r680529-reslist-limits.patch
    [#] to be discussed - but seems to work
    apr-util-trunk-r678323-memcache-memleak.patch
- drop obsolete workaround about pg_config
* Thu Aug  7 2008 poeml@suse.de
- update to 1.3.2
  * ) Fix parameter parsing error in ODBC DBD driver.  [Tom Donovan]
  * ) Older OpenLDAP implementations may have ldap_set_rebind_proc() with two
    args. Provide detection code and alternative implementation.
    [Ruediger Pluem]
  * ) Use pool memory when setting DBD driver name into the hash.
    [Bojan Smojver]
  * ) Add ODBC DBD Driver.  [Tom Donovan]
  * ) Fix build of the FreeTDS and MySQL drivers.  [Bojan Smojver]
  * ) Fix build failure for no modules (--disable-dso).  [Jean-Frederic Clere]
  * ) Fix win32 build failure for no modules (empty DBD_LIST).  [William Rowe]
* Thu Jul 17 2008 poeml@suse.de
- add /usr/lib/apr-util-1 directory to RPM filelist.
* Mon Jun 16 2008 poeml@suse.de
- pg_config is evil. Make sure it is not used to find PostgreSQL
  header files. Fixing build of of the PostgreSQL DBD adapter
  onopenSUSE 11.0.
* Sun Jun 15 2008 poeml@suse.de
- update to 1.3.0
  * ) apr_reslist: destroy all resources in apr_cleanup (don't give up on error).
    PR 45086 [Nick Kew]
  * ) Add apr_brigade_split_ex for reusing existing brigades in situation where
    brigades need to be split often during the lifetime of a pool.
    [Ruediger Pluem]
  * ) Amend apr_reslist to expire resources whose idle time exceeds ttl.
    PR 42841 [Tom Donovan, Nick Kew, Ruediger Pluem]
  * ) Modularize ldap's stub with the dbd dso modular structure, and teach
    the apu dso's to respect the system specific shared lib path var.
    To link to an application without ldap libs, query
    `apu-1-config --avoid-ldap --libs` (in addition to the usual linker
    queries for compiling and linking).  [William Rowe]
  * ) Support building DBD drivers as DSOs by default; use --disable-util-dso
    flag to configure to use static link.  [Joe Orton, Bojan Smojver]
  * ) All DBD drivers now count rows from 1, which affects PostgreSQL and MySQL
    drivers in particular. Using row number zero is an error.
    [Bojan Smojver]
  * ) Add support for OpenLDAP's ability to support a directory of
    certificate authorities. [Eric Covener]
  * ) Better error detection for bucket allocation failures.
    [Jim Jagielski]
  * ) Ensure that the LDAP code can compile cleanly on platforms that do
    not define the LDAP_OPT_REFHOPLIMIT symbol, most specifically Windows.
    [Victor <victorjss@gmail.com>, Graham Leggett]
  * ) Fix the setting of LDAP_OPT_SSL on Win2k, which expects a pointer to
    the value LDAP_OPT_ON, and not the value itself. XP works with both.
    [Victor <victorjss@gmail.com>]
  * ) Fix a regression in apr_brigade_partition that causes integer overflows
    on systems where apr_off_t > apr_size_t.  [Ruediger Pluem]
  * ) Ensure that apr_uri_unparse does not add scheme to URI if
    APR_URI_UNP_OMITSITEPART flag is set. PR 44044
    [Michael Clark <michael metaparadigm.com>]
  * ) Add an LDAP rebind implementation so that authentication can be
    carried through referrals. [Paul J. Reder]
  * ) Fix the make test target in the spec file. [Graham Leggett]
  * ) Introduce apr_dbd_open_ex() [Bojan Smojver]
  * ) Make md5 hash files portable between EBCDIC and ASCII platforms
    [David Jones]
  * ) Add limited apr_dbd_freetds driver (MSSQL and Sybase) [Nick Kew]
  * ) Commit relicensed apr_dbd_mysql driver to /trunk/  [Nick Kew]
  * ) Support BerkeleyDB 4.6.  [Arfrever Frehtes Taifersar Arahesis]
  * ) Support Tivoli ITDS LDAP client library.  [Paul Reder]
  * ) Portably implement testdate's long-time constants to solve
    compilation faults where #LL isn't valid.  [Curt Arnold]
  * ) Use buffered I/O with SDBM.  [Joe Schaefer]
  * ) Unify parsing of prepared statements and add binary argument functions
    to DBD [Bojan Smojver with help from many on the APR list]
  * ) Rewrite detection of expat in configure to fix build on e.g. biarch
    Linux platforms.  PR 28205.  [Joe Orton]
  * ) Add apr_thread_pool implementation.  [Henry Jen <henryjen ztune.net>]
  * ) Add support for Berkeley DB 4.5 to the configure scripts.
    [Garrett Rooney]
  * ) Allow apr_queue.h to be included before other APR headers.
    PR 40891 [Henry Jen <henryjen ztune.net>]
  * ) Fix precedence problem in error checking for sdbm dbm back end.
    PR 40659 [Larry Cipriani <lvc lucent.com>]
  * ) Add an apr_reslist_acquired_count, for determining how many outstanding
    resources there are in a reslist.  [Ryan Phillips <ryan trolocsis.com>]
  * ) Provide folding in autogenerated .manifest files for Win32 builders
    using VisualStudio 2005  [William Rowe]
  * ) Implement DBD transaction modes
    [Bojan Smojver with help from many on the APR list]
  * ) Implement prepared statement support in SQLite3 DBD driver
    [Bojan Smojver]
  * ) Add get (column) name to apr_dbd API
    [Bojan Smojver <bojan rexursive.com>] and
    [Chris Darroch <chrisd pearsoncmg com>]
  * ) Make the DBD autoconf-glue use LDFLAGS instead of LIBS in several
    places, fixing some configure issues on Solaris.
    [Henry Jen <henryjen ztune.net>]
  * ) Make apr_dbd.h work as a stand alone header, without needing other
    files to be included before it. [Henry Jen <henryjen ztune.net>]
  * ) On platforms that use autoconf stop automatically linking against
    apr-iconv when an apr-iconv source dir is found in ../apr-iconv.
    Instead, add a --with-apr-iconv option to configure that lets you
    specify the relative path to your apr-iconv source directory.
    [Garrett Rooney]
  * ) APR_FIND_APU macro now supports customisable detailed checks on
    each installed apr-util. [Justin Erenkrantz, Colm MacCarthaigh]
  * ) APR_FIND_APU macro no longer checks /usr/local/apache2/
    [Colm MacCarthaigh]
  * ) Add apr_dbd_oracle driver [Nick Kew and Chris Darroch]
- remove obsolete patches:
  apr-util-1.2.12-ac_configure_args.patch
  apr-util-1.2.12-no_linkage.patch
  apr-util-1.2.12-dso.patch
  apr-util-1.2.12-link.patch
  apr-util-1.2.8-r521327.patch
  DSO build is now handled by the build system and it is also the
  default now.
- remove manual run of the testsuite, this has also been fixed
  upstreams.
- the DBD dsos now live in /usr/lib*/apr-util-1.
* Mon Jun  9 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Jan 23 2008 poeml@suse.de
- re-fix build of apr_dbd_mysql module on SLES_9 (must have been
  broken on Tue Aug 21 2007)
* Wed Jan 23 2008 poeml@suse.de
- fix DSO build so it doesn't incur linkage to the database libs,
  which happened since the 1.2.12, and which I hadn't time to fix
  yet. Patches from PLD and Oden Eriksson (Mandrake) very much
  appreciated.
    +Patch10:        apr-util-1.2.12-no_linkage.patch
    +Patch11:        apr-util-1.2.12-dso.patch
    +Patch12:        apr-util-1.2.12-link.patch
- another patch was rebased and renamed:
  - Patch:          apr-util-1.2.7.diff
    +Patch:          apr-util-1.2.12-ac_configure_args.patch
- build DSOs manually (by changing build-outputs.mk to not make
  dbd/apr_dbd_[^ ]*\.lo. Thereby avoiding database symbols in
  the resulting libaprutil-1 shared object
- fix up apu-1-config LDFLAGS and INCLUDES in the end
- update the run of testcases
- remove openldap2 from BuildRequires, because that part is the
  server component which is never needed for building.
- added requires for openldap2-devel db-devel to the devel
  package as apu-1-config returns the libs (change from Factory)
* Tue Nov 27 2007 poeml@suse.de
- update to 1.2.12:
  * ) Wakeup threads waiting for a reslist resource after a resource was
    invalidated. [Ruediger Pluem]
  * ) Fix GMT offset for several date formats and add a new format.
    [Maxime Petazzoni <maxime.petazzoni bulix.org>]
  * ) Numerous fixes to the test/ framework, including better handling of
    long size_t comparisons and more consistent Makefile.(in|win) setup
    for authoring new tests.  [William Rowe]
  * ) Win32 build fixes including a Makefile.win scheme, fixes for 64P
    model x86_64 compiles and VC8 builds.  [William Rowe]
  * ) Type mismatch between apr_datum_t and GDBM's datum type could
    yield a corrupt apr_datum_t when reading from a GDBM database.
    PR 43025.  [BjÃ¶rn Wiberg <Bjorn.Wiberg its.uu.se>, Davi Arnaut]
  * ) Add the #define APR_LDAP_SIZELIMIT that is set appropriately
    for the LDAP SDK that is being used. Also include ZOS as an
    LDAP Platform.
    PR 37814.  [David Jones <oscaremma gmail com>, Davi Arnaut]
  * ) Fix exported LDFLAGS with new expat detection.  PR 43337.
    [Justin Erenkrantz]
  * ) Add MySQL DBD driver [Nick Kew, Bojan Smojver]
- drop source file apr_dbd_mysql.c, which was distributed
  separately until now. Functional changes to the previous version
  are:
  * added mysql_thread_init() (see
    http://www.nabble.com/-PATCH--apr_dbd_mysql.c-t4314862.html)
  * allow groups=xyz in the DBDParams setting
- drop apr-util-1.2.8-dso.patch, apr-util-1.2.12-dbd.patch,
  apr-util-1.2.8_dbd_mysql_buildconf.patch
- adjust apr-util-1.2.8-dbd.patch
- fix empty rpm macro "helpdir", which lead to an error
* Wed Sep 12 2007 poeml@suse.de
- use debug_package macro only on suse, because it breaks the build
  on Mandriva
* Mon Sep 10 2007 poeml@suse.de
- update to 1.2.10:
  * ) Support BerkeleyDB 4.6.  [Arfrever Frehtes Taifersar Arahesis]
  * ) Test improvements to validate testmd4 and testdbm, unattended.
    [Bojan Smojver]
  * ) Ensure that an apr_reslist shrinks back to SMAX via the TTL by
    reorganising the resource list from a queue to a stack.
    PR 40348.  [Christian BOITEL <christian_boitel yahoo.fr>]
  * ) Fix Solaris 2.8+ fdatasync() detection. The fdatasync() function
    is marked as part of the Realtime library functions.
    PR 37343.  [Davi Arnaut]
  * ) Change configure's expat detection to use standard linker-based
    tests, fixing build on e.g. biarch Linux systems.  PR 28205.
    [Joe Orton, Ruediger Pluem]
  * ) Portably implement testdate's long-time constants to solve
    compilation faults where #LL isn't valid.  [Curt Arnold]
  * ) APR_FIND_APU macro no longer checks /usr/local/apache2/.
    PR 42089.  [Colm MacCÃ¡rthaigh]
  * ) Fix handling of attribute namespaces in apr_xml_to_text() when
    a namespace map is provided.  PR 41908.  [Joe Orton]
- update apr_dbd_mysql.c to r54
  - Rework for unified parsing of prepared statements
  - Add binary argument functions
  - Update Licensing
    http://bahumbug.wordpress.com/2007/01/09/re-licensing-apr_dbd_mysql/
* Mon Aug 27 2007 poeml@suse.de
- add apr-util-1.2.8-r521327.patch:
  dbd/apr_dbd.c (apr_dbd_get_driver): Ensure driver DSOs have the
  same lifetime as the hash table. Backport from trunk (r521327)
* Tue Aug 21 2007 crrodriguez@suse.de
- first attempt to remove static libraries and libtool crap
* Wed Jul 18 2007 poeml@suse.de
- fixed wrong rpm tag (Buildrequires -> Requires libexpat-devel)
* Wed Jul 18 2007 poeml@suse.de
- make last fix buildservice compatible
- add debug_package macro in buildservice (will soon be obsolete)
* Sat Apr 28 2007 aj@suse.de
- Add libexpat-devel to build requires.
* Wed Dec 20 2006 poeml@suse.de
- fix sqlite plugin building for sqlite2, it wasn't linked against
  the lib
- work around mysql plugin build on SLES9 with a kludge
  (libmysqlclient_r was missing the .so link at SLES9 time
* Thu Dec 14 2006 poeml@suse.de
- DSO-ify the build of dbd backends
* Thu Dec 14 2006 poeml@suse.de
- add sqlite and pgsql support, and rpm-macroize it
* Wed Dec 13 2006 mrueckert@suse.de
- added apr-util-1.2.8_dbd_mysql_buildconf.patch and
  http://apache.webthing.com/svn/apache/apr/apr_dbd_mysql.c:
  the patch and the additional .c file add mysql support to apr-dbd
* Mon Dec 11 2006 poeml@suse.de
- update to 1.2.8
  * ) Add support for Berkeley DB 4.5 to the configure scripts.
  * ) Allow apr_queue.h to be included before other APR headers.
  * ) Implement prepared statement support in SQLite3 DBD driver
  * ) Fix to ensure that "deprecated" LDAP interfaces are still
    exposed if using OpenLDAP 2.3.
  * ) Fix incorrect byte order and incorrect timestamp type
    in the fallback UUID generator used when no external UUID
    generator is detected by APR.
* Sat Oct 21 2006 olh@suse.de
- libexpat.la was removed, look for libexpat.a also in lib64 (214240)
  build parallel
* Mon Sep 18 2006 poeml@suse.de
- fix Buildrequires on FC and Mandriva
* Thu Jun 22 2006 schwab@suse.de
- Don't depend on configure args being preserved.
* Tue May 30 2006 poeml@suse.de
- fix BuildRequires for Fedora Core
- ditch krb5 from BuildRequires, since it doesn't seem to be needed
- use --with-berkeley-db
* Tue Apr 25 2006 poeml@suse.de
- upstream 1.2.7. relevant changes:
  * ) Fix apr_dbd_init to be safe to call multiple times
  * ) Stop trying to link against Berkeley DB by default.
    (use --with-berkeley-db)
  * ) Stop trying to link against GDBM by default. (use --with-gdbm)
  * ) Fix the escape implementations for the sqlite2 and sqlite3 dbd
    back ends.
  * ) Add support for Berkeley DB 4.4 to the configure scripts.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 poeml@suse.de
- update to 1.2.2
* Thu Sep 29 2005 poeml@suse.de
- update to 1.2.1
- remove -DLDAP_DEPRECATED: all CFLAGS are derived from apr-config
* Sun Sep 25 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Thu Mar 24 2005 poeml@suse.de
- update to 1.1.2
* Fri Feb 25 2005 poeml@suse.de
- package created (1.1.0)
